<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">

    <PropertyGroup>
        <TargetFramework>net10.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <ServiceWorkerAssetsManifest>service-worker-assets.js</ServiceWorkerAssetsManifest>
        <LangVersion>12</LangVersion>
        <AssemblyName>IGP.Web</AssemblyName>
        <RootNamespace>IGP</RootNamespace>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)' == 'Debug' ">
        <DefineConstants>TRACE;NO_SQL</DefineConstants>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)' == 'Release' ">
        <DefineConstants>TRACE;NO_SQL</DefineConstants>
    </PropertyGroup>

    <PropertyGroup>
        <BlazorWebAssemblyLoadAllGlobalizationData>true</BlazorWebAssemblyLoadAllGlobalizationData>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Blazor-Analytics" Version="4.0.0"/>
        <PackageReference Include="Markdig" Version="1.1.1"/>
        <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="10.0.5"/>
        <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="10.0.5"/>
        <PackageReference Include="Microsoft.Extensions.Localization" Version="10.0.5"/>
        <PackageReference Include="MudBlazor" Version="9.2.0"/>
    </ItemGroup>

    <ItemGroup>
        <ServiceWorker Include="wwwroot\service-worker.js" PublishedContent="wwwroot\service-worker.published.js"/>
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\Components\Components.csproj" />
        <ProjectReference Include="..\Model\Model.csproj" />
        <ProjectReference Include="..\Services\Services.csproj" />
    </ItemGroup>

    <ItemGroup>
        <Folder Include="Pages\DataTables\Parts\"/>
        <Folder Include="wwwroot\generated"/>
    </ItemGroup>

    <ItemGroup>
        <EmbeddedResource Update="Localizations.resx">
            <Generator>ResXFileCodeGenerator</Generator>
            <LastGenOutput>Localizations.Designer.cs</LastGenOutput>
        </EmbeddedResource>
    </ItemGroup>

    <ItemGroup>
        <Compile Update="Localizations.Designer.cs">
            <DesignTime>True</DesignTime>
            <AutoGen>True</AutoGen>
            <DependentUpon>Example.resx</DependentUpon>
        </Compile>
    </ItemGroup>
</Project>
